package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFHE6 extends MwfRequest<MWFHE6, MWFHE6Response> {

    @Parameter(name = "CHANNEL")
    MWFHE6 channel(String channel);
    @Parameter(name = "PRODUCT_CLASS")
    MWFHE6 productClass(String productClass);
    @Parameter(name = "VALIDITY_DATE")
    MWFHE6 validityDate(java.util.Date validityDate);
}
